# Gitdraw

A simple tool for generating git graphs from a set of git commands

## Getting Started

### Installing

Either clone directly from the repo or install using pip
```bash
pip install gitdraw
```

## Running the tests

The project tests are run with `pytest` automatically in pipelines. To run 
them manually find the `pytest` script command in [.gitlab-ci.yml](https://gitlab.com/broster/gitdraw/blob/master/.gitlab-ci.yml) 
and run it from the root of the repository.

```yaml
pytest:
  stage: Test
  script:
  - <this command>
```

## Running the tool

The tool is run using `python3.7`. For help text use:
```bash
python3.7 -m gitdraw.__main__ -h
```

It takes a single input file containing a list of git commands and
outputs a SVG representation
```bash
python3.7 -m gitdraw.__main__ -i infile
```

The tool currently supports the following commands:
* `git checkout <branch>`
* `git commit`
* `git branch <branch>`
* `git merge <branch>`

## Built With

See [requirements.txt](https://gitlab.com/broster/gitdraw/blob/master/requirements.txt) for the full details of external
packages. A number are used just for testing so won't be required if you
don't intend to run the tests


## Examples

There are a number of autogenerated examples that can be viewed 
[here](https://gitlab.com/broster/gitdraw/blob/master/samples/examples.md) along with their source text.